aboutsummaryrefslogtreecommitdiffstats
path: root/testing/gst-plugins-base1/APKBUILD
diff options
context:
space:
mode:
Diffstat (limited to 'testing/gst-plugins-base1/APKBUILD')
-rw-r--r--testing/gst-plugins-base1/APKBUILD60
1 files changed, 60 insertions, 0 deletions
diff --git a/testing/gst-plugins-base1/APKBUILD b/testing/gst-plugins-base1/APKBUILD
new file mode 100644
index 0000000000..ffccf49a29
--- /dev/null
+++ b/testing/gst-plugins-base1/APKBUILD
@@ -0,0 +1,60 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gst-plugins-base1
+pkgver=1.0.0
+pkgrel=0
+pkgdesc="GStreamer Multimedia Framework Base Plugins"
+url="http://gstreamer.freedesktop.org/"
+arch="all"
+license="GPL LGPL"
+subpackages="$pkgname-dev $pkgname-doc $pkgname-lang"
+depends=
+depends_dev="gstreamer1-dev glib-dev"
+makedepends="$depends_dev
+ alsa-lib-dev
+ cdparanoia-dev
+ expat-dev
+ gtk+3.0-dev
+ libice-dev
+ libogg-dev
+ liboil-dev
+ libsm-dev
+ libtheora-dev
+ libvorbis-dev
+ libxv-dev
+ orc-dev
+ perl
+ "
+source="http://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-$pkgver.tar.xz"
+ldpath="/usr/lib/gstreamer-1.0"
+
+
+_builddir="$srcdir"/gst-plugins-base-$pkgver
+
+prepare() {
+ cd "$_builddir"
+}
+
+build() {
+ cd "$_builddir"
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ --disable-experimental \
+ --with-default-audiosink=alsasink \
+ --with-package-name="GStreamer Base Plugins (Alpine Linux)" \
+ --with-package-origin="http://alpinelinux.org/" \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$_builddir"
+ make -j1 DESTDIR="$pkgdir" install || return 1
+ rm -f "$pkgdir"/usr/lib/*.la \
+ "$pkgdir"/usr/lib/*.a \
+ "$pkgdir"/usr/lib/gstreamer*/*.la \
+ "$pkgdir"/usr/lib/gstreamer*/*.a
+}
+
+md5sums="428f5a0beaa7f76262bea0f431f8337e gst-plugins-base-1.0.0.tar.xz"